// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: service.proto

package ec.edu.uees.msfacturasrelacional.communication.grpc.generated;

public interface ItemOrBuilder extends
    // @@protoc_insertion_point(interface_extends:Item)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>int32 cantidad = 1;</code>
   * @return The cantidad.
   */
  int getCantidad();

  /**
   * <code>string producto = 2;</code>
   * @return The producto.
   */
  java.lang.String getProducto();
  /**
   * <code>string producto = 2;</code>
   * @return The bytes for producto.
   */
  com.google.protobuf.ByteString
      getProductoBytes();

  /**
   * <code>double valorPorProducto = 3;</code>
   * @return The valorPorProducto.
   */
  double getValorPorProducto();

  /**
   * <code>double valorUnitario = 4;</code>
   * @return The valorUnitario.
   */
  double getValorUnitario();
}
